> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post funnelsdomainxml sitemap



## OpenAPI

````yaml /api-reference/funnels/openapi.json post /funnels/domain/xml-sitemap
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/domain/xml-sitemap:
    post:
      operationId: generateXMLSiteMap
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateXMLSiteMapParams'
      responses:
        '201':
          description: ''
components:
  schemas:
    GenerateXMLSiteMapParams:
      type: object
      properties:
        locationId:
          type: string
        domainId:
          type: string
        mapping:
          type: array
          items:
            type: string
        custom:
          type: array
          items:
            type: string
      required:
        - locationId
        - domainId
        - mapping
        - custom

````